import type { RootStoreType } from 'src/interfaces/rootStore';
declare class RootStore implements RootStoreType {
    middlewares: {};
    uiStateStore: null;
    mapModelStore: null;
    constructor(params?: {});
    update(data?: {}): void;
    checkAllStoresAreHydrated(): boolean;
}
export default RootStore;
